#!/bin/bash

# -------------------------------------------------------------------------- #
# Copyright 2002-2011, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

PREFIX=$1

if [ -z $PREFIX ]; then
    ETC_DIR=/etc/one
    BIN_DIR=/usr/bin
    REMOTES_DIR=/var/lib/one/remotes
    TM_COMMANDS_DIR=/usr/lib/one/tm_commands
else
    ETC_DIR=$PREFIX/etc
    BIN_DIR=$PREFIX/bin
    REMOTES_DIR=$PREFIX/var/remotes
    TM_COMMANDS_DIR=$PREFIX/lib/tm_commands
fi

cp -R etc/tm_hyperv $ETC_DIR
cp hyperv $BIN_DIR
cp -R vmm/hyperv $REMOTES_DIR/vmm
cp -R im/hyperv.d $REMOTES_DIR/im
cp -R tm_commands/hyperv $TM_COMMANDS_DIR


